Bug 1402492 - [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGTRAP: TAINTED ("Error in freeze/thaw accounting" from mutter)
Summary: [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGTRAP: TAINTED ("...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3b60dd77e9b7833003d823b110a...
: 1497447 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-07 16:27 UTC by piio
Modified: 2021-04-28 08:43 UTC (History)
122 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:28:19 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (59.66 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: cgroup (244 bytes, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: core_backtrace (5.64 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: dso_list (27.88 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: environ (1.63 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: limits (1.29 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: maps (135.71 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: mountinfo (3.63 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: namespaces (102 bytes, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: open_fds (12.21 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: var_log_messages (3.68 KB, text/plain)
2016-12-07 16:27 UTC, piio
no flags Details
File: backtrace (100.54 KB, text/plain)
2017-01-22 12:11 UTC, Igor Gnatenko
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1405392 0 unspecified CLOSED gnome-shell killed by SIGTRAP (on screen unlock) 2021-02-22 00:41:40 UTC

Internal Links: 1405392

Description piio 2016-12-07 16:27:07 UTC
Description of problem:
Trying to connect in Remmina (RDP) in full screen

Version-Release number of selected component:
gnome-shell-3.23.2-2.fc26

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     20547
kernel:         4.9.0-0.rc5.git4.2.fc26.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:487
 #1 g_log_default_handler at gmessages.c:2816
 #2 default_log_handler
 #5 meta_window_actor_thaw at compositor/meta-window-actor.c:373
 #6 meta_window_x11_update_sync_request_counter at x11/window-x11.c:3365
 #7 handle_other_xevent at x11/events.c:1225
 #8 meta_display_handle_xevent at x11/events.c:1780
 #9 xevent_filter at x11/events.c:1819
 #10 gdk_event_apply_filters at gdkeventsource.c:79
 #11 gdk_event_source_translate_event at gdkeventsource.c:198

Potential duplicate: bug 1370073

Comment 1 piio 2016-12-07 16:27:14 UTC
Created attachment 1229117 [details]
File: backtrace

Comment 2 piio 2016-12-07 16:27:15 UTC
Created attachment 1229118 [details]
File: cgroup

Comment 3 piio 2016-12-07 16:27:17 UTC
Created attachment 1229119 [details]
File: core_backtrace

Comment 4 piio 2016-12-07 16:27:19 UTC
Created attachment 1229120 [details]
File: dso_list

Comment 5 piio 2016-12-07 16:27:20 UTC
Created attachment 1229121 [details]
File: environ

Comment 6 piio 2016-12-07 16:27:21 UTC
Created attachment 1229122 [details]
File: limits

Comment 7 piio 2016-12-07 16:27:24 UTC
Created attachment 1229123 [details]
File: maps

Comment 8 piio 2016-12-07 16:27:25 UTC
Created attachment 1229124 [details]
File: mountinfo

Comment 9 piio 2016-12-07 16:27:26 UTC
Created attachment 1229125 [details]
File: namespaces

Comment 10 piio 2016-12-07 16:27:28 UTC
Created attachment 1229126 [details]
File: open_fds

Comment 11 piio 2016-12-07 16:27:29 UTC
Created attachment 1229127 [details]
File: proc_pid_status

Comment 12 piio 2016-12-07 16:27:31 UTC
Created attachment 1229128 [details]
File: var_log_messages

Comment 13 Igor Gnatenko 2017-01-22 12:11:11 UTC
Similar problem has been detected:

Opened evince in full-screen more

reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=2e70bb56bfb749f68204128b949fdc45;i=df1;b=5eca561f8252413bb3facbd3eae69de0;m=33453f5;t=546ada93c7150;x=d8eaf65f4c14896e
kernel:         4.10.0-0.rc4.git2.1.fc26.x86_64
package:        gnome-shell-3.23.2-3.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Igor Gnatenko 2017-01-22 12:11:15 UTC
Created attachment 1243337 [details]
File: backtrace

Comment 15 Fedora End Of Life 2017-02-28 10:44:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 16 Stephen Gallagher 2017-03-07 18:23:18 UTC
This is happening a few times a day for me on Fedora 26.

Comment 17 Jiri Eischmann 2017-03-31 11:22:32 UTC
Similar problem has been detected:

I was not using computer at all at the moment, it went idle and when I came back I found out it was back in GDM.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     1808
kernel:         4.11.0-0.rc4.git0.1.fc26.x86_64
package:        gnome-shell-3.24.0-1.fc26
reason:         gnome-shell killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Jiri Eischmann 2017-03-31 11:57:26 UTC
Similar problem has been detected:

I was in Activities and clicked the window preview of Polari to switch to the app. Then the system froze, then animation slowly moved again and then after a while the session crashed to GDM.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     11736
kernel:         4.11.0-0.rc4.git0.1.fc26.x86_64
package:        gnome-shell-3.24.0-1.fc26
reason:         gnome-shell killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 xzj8b3 2017-06-30 20:34:37 UTC
*** Bug 1466948 has been marked as a duplicate of this bug. ***

Comment 20 Leslie Satenstein 2017-07-03 11:46:44 UTC
*** Bug 1467320 has been marked as a duplicate of this bug. ***

Comment 21 Kamil Páral 2017-07-04 09:52:02 UTC
Similar problem has been detected:

Happened immediately after first login after a clean F26 installation, before g-i-s was even started. Seems to be a gnome-shell's fault:
Jul 04 11:45:15 localhost.localdomain gnome-shell[1641]: toggling down object GSettings that's already queued to toggle up
Jul 04 11:45:15 localhost.localdomain kernel: traps: gnome-shell[1641] trap int3 ip:7f3a044dae51 sp:7ffdaf1f9570 error:0 in libglib-2.0.so.0.5200.3[7f3a0448b000+110000]

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=43fee435852e4b0f95add5dbbebe9e29;i=7ae;b=44733572528a4f589b017dc29900d488;m=14b3e9a;t=5537abdacc56e;x=4ef4ec0c99176e2
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Chris Murphy 2017-07-05 13:42:45 UTC
Similar problem has been detected:

I was working and then the environment froze, and then completely went away and I was at the gdm login menu.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=b969735f80ce406b902b9e06d14762e7;i=73f8;b=cabea2b75ada4beb82a970a866d3f257;m=10226e36e;t=5538aa72cbcad;x=d85e5d40eceef958
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Chris Murphy 2017-07-05 13:45:00 UTC
This qualifies as a data loss bug. I had a bunch of in-progress items and everything was lost or interrupted because the DE crashed.

Comment 24 jibecfed 2017-07-05 21:40:15 UTC
Similar problem has been detected:

switch from GNOME on wayland to GNOME on Xorg

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=4c7ff4ffec314f09a6d284c96baf5ad9;i=2677;b=8d1acea091174345adaa7a856668e91f;m=4521a5559;t=5539873a117c5;x=6d4192c2e3d253f
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Juan Orti 2017-07-12 05:53:41 UTC
Similar problem has been detected:

Upgrading a gnome-shell extension from Firefox with the dbus chrome service installed.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=48c552aa8a15429fbb23d4c7fb263ebd;i=11f745a;b=7e8624de41bc41cb84bb08b847d0c6bd;m=13f16d6d;t=554183ddd36b5;x=1dc5b7b993b154d4
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Igor Levkov 2017-07-12 10:16:27 UTC
Similar problem has been detected:

Booted immediatly after installation on VirtualBox 5.1.22 r 115126, recevied crash in few seconds after first login. I barely moved mouse pointer

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=4e703c0549544b1f8a5e417f24980885;i=10f0;b=ba140a7e3e5b47578c533dcade7a118b;m=2f593e8;t=5541bcd4962e4;x=d0c0feebbf2d5ab1
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 27 Yevhenii Stoliarenko 2017-07-12 12:41:45 UTC
*** Bug 1470143 has been marked as a duplicate of this bug. ***

Comment 28 Ruben 2017-07-12 20:26:14 UTC
*** Bug 1470369 has been marked as a duplicate of this bug. ***

Comment 29 Jerther 2017-07-13 14:32:02 UTC
*** Bug 1470739 has been marked as a duplicate of this bug. ***

Comment 30 Chris Irwin 2017-07-13 23:18:44 UTC
*** Bug 1470883 has been marked as a duplicate of this bug. ***

Comment 31 Yaroslav Pronin 2017-07-15 15:29:05 UTC
Similar problem has been detected:

Update Place Status Indicator in Gnome Extensions site.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=c5655bc5fe9d4c27a567de22890cf2fc;i=d20;b=bbdab9cd85dc4c15b58a96a552e02c3f;m=cb9af71;t=5545cac2f5854;x=ed8c3c314e215e89
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 32 Alberto Rodriguez Sanchez 2017-07-15 15:34:03 UTC
*** Bug 1471395 has been marked as a duplicate of this bug. ***

Comment 33 rychlikjobs 2017-07-16 21:30:12 UTC
*** Bug 1471551 has been marked as a duplicate of this bug. ***

Comment 34 Fran Pastor 2017-07-17 11:31:28 UTC
*** Bug 1471741 has been marked as a duplicate of this bug. ***

Comment 35 DACBARBOS Brand 2017-07-17 17:33:29 UTC
*** Bug 1471936 has been marked as a duplicate of this bug. ***

Comment 36 DACBARBOS Brand 2017-07-18 21:51:43 UTC
*** Bug 1472488 has been marked as a duplicate of this bug. ***

Comment 37 Andrey 2017-07-21 12:02:39 UTC
*** Bug 1473665 has been marked as a duplicate of this bug. ***

Comment 38 xzj8b3 2017-07-22 13:34:30 UTC
*** Bug 1473927 has been marked as a duplicate of this bug. ***

Comment 39 martin.lepetit 2017-07-22 22:35:07 UTC
*** Bug 1473974 has been marked as a duplicate of this bug. ***

Comment 40 Dagan McGregor 2017-07-26 02:56:54 UTC
*** Bug 1475098 has been marked as a duplicate of this bug. ***

Comment 41 martinspiering16 2017-07-26 18:49:49 UTC
*** Bug 1475480 has been marked as a duplicate of this bug. ***

Comment 42 Omar Villadeamigo 2017-07-27 22:01:36 UTC
*** Bug 1476034 has been marked as a duplicate of this bug. ***

Comment 43 Dakota Lambert 2017-07-29 04:06:38 UTC
Similar problem has been detected:

Firefox running in the background with three tabs open.
Connected to OpenVPN
Night Light Disabled
Changed serveral wallpapers
Used Gnome tweak to change dash to dock settings, disabled gnome-shell application menu
Opened large .mp4 video with MPV
Crash and forced logout occured. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=8146f58f3a2743bda1c91135e4cedc57;i=c135;b=c8729d9a74194b6bb3d729c50a3fb429;m=7fb0ab1b;t=5556cb5e3a3be;x=c7a9536bfe5bc240
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 44 Gwendal 2017-07-30 07:58:29 UTC
Similar problem has been detected:

I tried to update a GNOME extension using the Eolie web browser on the official extensions web page.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=976ceac0a19546fe967615f8e533c44a;i=5715d;b=5bc363001c8c47da83f018b2db5b39d5;m=1914b0928;t=5558413f7213c;x=2c125d26b528a31f
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 45 bence 2017-07-31 08:32:24 UTC
*** Bug 1476691 has been marked as a duplicate of this bug. ***

Comment 46 Dakota Lambert 2017-08-01 01:47:27 UTC
Similar problem has been detected:

mpv video player, night light on.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=8146f58f3a2743bda1c91135e4cedc57;i=1ad60;b=7dfd4a8c392245f3b94e9d4476b71165;m=1082819d2;t=555a74afc59eb;x=6f98bdb97ec46e8f
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 47 Dakota Lambert 2017-08-01 02:14:48 UTC
Similar problem has been detected:

mpv player, Night Light paused

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=8146f58f3a2743bda1c91135e4cedc57;i=1af30;b=7dfd4a8c392245f3b94e9d4476b71165;m=16eb73a92;t=555a7b18b7aac;x=66d57f7454339c3c
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 48 Dakota Lambert 2017-08-01 23:54:35 UTC
Similar problem has been detected:

mpv player after logining back in from sleep

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=5b63fe0240ef4c01a06beb5a57563583;i=6e23;b=8e3143f8a5be40c0b4a1a685045c6842;m=2d2d198c5;t=555b9da138c38;x=df888c23575cf992
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 49 Leonid Podolny 2017-08-02 13:59:26 UTC
Similar problem has been detected:

Yesterday I closed my laptop's lid, today, when I woke up, the laptop was at the GDM screen.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=9b4bd3493b6a4f4b916f43acb3fa5bdb;i=390c8;b=57af0a53642849faba4fb36aa9aa3331;m=d5ff598b0;t=555c547a7033f;x=4848e0ab10af7e01
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 50 bugzilla 2017-08-03 07:01:25 UTC
*** Bug 1477884 has been marked as a duplicate of this bug. ***

Comment 51 Mark Tinberg 2017-08-04 04:01:19 UTC
Similar problem has been detected:

Tried to update Media player indicator  by JasonLG1979 using Chrome while watching a youtube video in Chrome with Corebird open and steam in background when it died.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=e3b5ec52d03d4af6a0cb4fcf5fd9ec83;i=4017f;b=ce87f00149d3444a88083bb419328a98;m=141b4850cf;t=555e5090b10a8;x=40d634129c08049d
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 52 Peter Schiffer 2017-08-04 09:49:09 UTC
Similar problem has been detected:

dock and undock laptop quickly 2-3 times

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=b818d290f5cb476e8fad03e76b3017ec;i=76ea;b=d024d55cc4fb49c7bfc952ccf167a86f;m=d53c61db3;t=555ea3c13d972;x=2d580703d0ad1aef
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 53 fernandosj2k4 2017-08-04 13:08:37 UTC
*** Bug 1478374 has been marked as a duplicate of this bug. ***

Comment 54 Nikita Goncharuk 2017-08-07 14:16:46 UTC
Similar problem has been detected:

I've disabled all Shell Extensions in tweak tool, but Gpaste Extension keeped being enabled (Even on the Lockscreen).
Then I Logged out.
On Next Log in I've got a "Gnome Shell has crashed" notification.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=6f18f;b=2a8ab6a22d8e46719e0a713950fb2134;m=84320b696;t=5562a65a26eaf;x=a366f06c7c5823f0
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 55 kluksa 2017-08-08 11:37:08 UTC
*** Bug 1479333 has been marked as a duplicate of this bug. ***

Comment 56 kluksa 2017-08-09 09:46:42 UTC
*** Bug 1479729 has been marked as a duplicate of this bug. ***

Comment 57 Rafael Gonzaga Leitão 2017-08-09 16:43:22 UTC
*** Bug 1479896 has been marked as a duplicate of this bug. ***

Comment 58 Bubba 2017-08-12 20:09:24 UTC
Similar problem has been detected:

Fresh Fedora 26 install into VirtualBox hosted on SuSE Leap42.2.  I installed the VirtualBox Extensions into the Fedora 26 guest, then rebooted.  A few seconds later, gnome-shell was dead

Contact me if you want more detail.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=a499b784134a4f4c8fcd582e4157a520;i=4d1d;b=8c8c608669204ce9a9b07496d46a7f9e;m=155265df4;t=556939556f145;x=5d632703d5ac159c
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 59 Oded Arbel 2017-08-14 07:06:21 UTC
Similar problem has been detected:

I updated a GNOME extension

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=54af738c07774e299e5f8bb18394ab95;i=239e;b=5056179d7d5a47a8905377148779a171;m=34486244;t=556b0ee3ad289;x=c62a781ffd349c4d
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 60 தமிழரசன் இரத்தினகிரி 2017-08-15 21:52:54 UTC
*** Bug 1481860 has been marked as a duplicate of this bug. ***

Comment 61 Luis 2017-08-16 14:20:44 UTC
*** Bug 1482134 has been marked as a duplicate of this bug. ***

Comment 62 GOGI 2017-08-17 03:13:48 UTC
*** Bug 1482330 has been marked as a duplicate of this bug. ***

Comment 63 Alan B Saichek 2017-08-18 18:16:59 UTC
*** Bug 1483098 has been marked as a duplicate of this bug. ***

Comment 64 Miroslav Avramov 2017-08-18 19:54:04 UTC
*** Bug 1483134 has been marked as a duplicate of this bug. ***

Comment 65 Shnoulle 2017-08-19 11:22:43 UTC
Similar problem has been detected:

After updating from F25 to F26 : unable to start Gnome (Wayland session)
Started in Gnome Classic, disable all extension
Started in Gnome Wayland
Activate extension (maybe related to https://extensions.gnome.org/extension/690/easyscreencast/ )
Test again after reboot with/witout this extension (if it's this one : i close the bug, but need testing)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=94aaa0c5af56499b8130a1f551e474e6;i=20415;b=b33968deca8a43819b0c0f8a957a6ea1;m=80a05333;t=55718f2729ef7;x=b0188c0d1950b84
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 66 Darold Hinds 2017-08-20 19:29:46 UTC
*** Bug 1483345 has been marked as a duplicate of this bug. ***

Comment 67 mrromanze 2017-08-21 13:29:17 UTC
*** Bug 1483619 has been marked as a duplicate of this bug. ***

Comment 68 Nathanael Jonas 2017-08-22 05:43:53 UTC
*** Bug 1483834 has been marked as a duplicate of this bug. ***

Comment 69 martin.kamleithner 2017-08-22 10:13:13 UTC
Similar problem has been detected:

I put my laptop in my docking station, so an additional 4k monitor was connected. 
I was using wayland. 

I cannot reliably reproduce the crash of gnome when connecting my docking station, but it happens from time to time.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=f6a18732e73543948eea5e14e325e20e;i=80eae;b=1f444affffdb426099836c78e8480189;m=4531f4bedf;t=55754561244ec;x=62ae6700c08c0354
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 70 Jason Birch 2017-08-22 22:39:05 UTC
*** Bug 1484162 has been marked as a duplicate of this bug. ***

Comment 71 Sven Witter 2017-08-24 08:42:46 UTC
*** Bug 1484728 has been marked as a duplicate of this bug. ***

Comment 72 a0c42f44 2017-08-24 18:49:44 UTC
Similar problem has been detected:

I added a custom .desktop file to ~.local/share/applications and restarted my laptop

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=a47e94b8ba24465c9b6abeb724cbbbd5;i=4d3a2;b=297740db95a3418286d76a10a5e42d65;m=3325f3c2;t=557840af5fb83;x=a4b9b73f00a8f6c2
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 73 Andreas Stocker 2017-08-27 07:18:54 UTC
*** Bug 1485681 has been marked as a duplicate of this bug. ***

Comment 74 Don Swaner 2017-08-28 01:19:53 UTC
*** Bug 1485754 has been marked as a duplicate of this bug. ***

Comment 75 Michael Morgan 2017-08-28 21:01:22 UTC
Similar problem has been detected:

Laptop with external monitor connected to HDMI. A Windows 7 VM in VirtualBox is running in full screen on the external monitor. From within them VM I joined a WebEx session and attempted to share the VM screen. After a few seconds the mouse cursor freezes on screen followed by Gnome dropping me back to the GDM login.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=b6ec76cffe1648819674e189ffb063d8;i=1b9674;b=c2fdebffc48e422a85d3d7645b5167fb;m=2ab210f7ae;t=557d67adc54df;x=57365624125d340e
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 76 Benjamin Herrenschmidt 2017-08-29 05:49:03 UTC
Similar problem has been detected:

This typically happens when I plug my dock which has an external monitor (4K display port) into my X1

Gnome shell is setup to disable the internal monitor when that happens. Worked fine with fc25 and a Gen 3 X1,
I just switched to a Gen 4 X1 and Fc26 and am hitting the problem.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=2346bd7cb5994745a9506fcd5014c756;i=150a8;b=2bd0158172b041bf8f237edcb2624436;m=22e7051d9;t=557ddcfe41f23;x=30de52d102981904
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 77 Nicky Dominguez 2017-08-29 23:31:04 UTC
*** Bug 1486491 has been marked as a duplicate of this bug. ***

Comment 78 madstitz 2017-08-30 11:13:31 UTC
Similar problem has been detected:

happened during "normal" usage. didn't seem directly caused by clicking on something.

only thing "special" was heavy USB traffic to an external encrypted harddrive.
the session did also crash earlier today while writing to the drive. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=ad2424126a2d4782a9dff593595aee6f;i=150647;b=f33f2b06ce264c618c3afc02f0d6c4c9;m=3206a01fd;t=557f6668d3375;x=5380a7d8b70065b0
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 79 Dave Johansen 2017-08-31 02:48:55 UTC
Similar problem has been detected:

Logged in and it crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=21288f4e5a2f4353bd41357c6345b0c3;i=79e6;b=73384b7f7c2448c3be691b1bc2b36970;m=5515ac3e56;t=558020f6a9a89;x=5df6a0a60ebeec9d
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 80 Chelsi Doyle 2017-09-01 12:46:19 UTC
Similar problem has been detected:

It happened when I connected my laptop to my dock, which added two external monitors over DisplayPort.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=d867070373164bd99adee258e3be64af;i=4a789;b=b22e8ac5a8064e3b953d92d941abfc34;m=55ceef5;t=5581fa47dd524;x=63fced1c532ff2c0
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 81 தமிழரசன் இரத்தினகிரி 2017-09-01 16:40:58 UTC
*** Bug 1487706 has been marked as a duplicate of this bug. ***

Comment 82 Niels De Graef 2017-09-02 09:44:22 UTC
*** Bug 1487826 has been marked as a duplicate of this bug. ***

Comment 83 Nikita Goncharuk 2017-09-03 12:46:59 UTC
Similar problem has been detected:

I have clicked on Top-right System menu -> my name -> Log Out
And I have ended up on GDM login screen without any confirm prompt. (So I Guess Shell crashed here)

On next log in I got Gnome Shell has Crashed notification.
_______________________
Seems to be unreproducible. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=cbfa2;b=bc5f2951405c4669bc37d8e72281a580;m=300b38d68;t=55847db15a266;x=3e18fefb8d5dc47b
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 84 Andres Castillo 2017-09-03 22:40:25 UTC
*** Bug 1487965 has been marked as a duplicate of this bug. ***

Comment 85 Benjamin Herrenschmidt 2017-09-04 00:31:53 UTC
Possibly useful data point: At least in my case the problem doesn't happen when running gnome on Xorg, only native Wayland.

Comment 86 Chelsi Doyle 2017-09-05 12:20:52 UTC
Similar problem has been detected:

Docked my laptop which added two monitors connected over display port

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=d867070373164bd99adee258e3be64af;i=50053;b=26555a0259d645a8b95aa68f7c0664d7;m=7772323;t=55870200bfe27;x=8359bd0a5718dfac
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 87 fred 2017-09-07 14:26:58 UTC
*** Bug 1489482 has been marked as a duplicate of this bug. ***

Comment 88 Jason Ekstrand 2017-09-07 14:39:42 UTC
*** Bug 1489496 has been marked as a duplicate of this bug. ***

Comment 89 Jason Ekstrand 2017-09-07 14:43:47 UTC
This has happened to me several times in the last couple of weeks.  Every single time it has been associated with either a GPU hang from another process or the system being under very heavy load.  My gut tells me that something is timing out and gnome-shell just can't handle it.  This wouldn't be all that bad except that I'm using Wayland and it kills the session.

Comment 90 Shaun Assam 2017-09-08 14:21:27 UTC
*** Bug 1489869 has been marked as a duplicate of this bug. ***

Comment 91 Gabriel M. Elder 2017-09-08 14:32:19 UTC
Similar problem has been detected:

I logged out so that I could then log back into the desktop environment, so that gnome-shell would reload a newly installed nautilus extension (brasero-nautilus). That's apparently around the time the crash happened.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=10bacd2ad1664310953c03006c78a0a9;i=cc9d7;b=68ee418af25b4403918ed4c83ec57951;m=814859c8;t=558adf94ce7f4;x=191c29baa82c7f58
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 92 Cenk Kulacoglu 2017-09-09 10:57:58 UTC
*** Bug 1490025 has been marked as a duplicate of this bug. ***

Comment 93 Ira Malinich 2017-09-09 17:24:28 UTC
Similar problem has been detected:

This happens once every few days, but it's not easy to deliberately reproduce.  It seems likely that memory saturation is a factor; usually the system is running sluggishly before it happens.
This seems to be happening when I launch the Gnome terminal when the system has a lot running (typically, one or two instances of Firefox with maybe a hundred open tabs between them), though I'm pretty sure it's happened once when trying to open the Gnome calculator.
Specific method for launching:

1. Press Meta key
2. Type "term"
3. Press Enter key.

At this point the screen goes black for a minute or two, then returns to the login screen.  Logging in here goes black again for maybe five minutes, then back to the login screen.  After this second login screen, things seem to work normally.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=c41ddc748f124c52b456a0b8db4e0b08;i=33085;b=7d3ae7a9b6e5497683478b5f1cc6348d;m=200e457773;t=558c42164d0fc;x=2ef2ca45cc370526
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 94 Gabriel M. Elder 2017-09-10 15:17:49 UTC
"usually the system is running sluggishly before it happens"

I'm the kind of user who likes to leave my desktop logged in as long as possible, locking the screen when not in use, and rebooting only when absolutely necessary (e.g. kernel update, etc.). Although I haven't experienced any gnome desktop session crashes recently, I have also noticed this sluggishness that gets progressively worse when logged in, over time. The cure has been to either close everything and log out and then log back in, or shutdown completely. In either case, upon logging back in, the snappiness of gnome that I have grown to know and love is restored completely. And then the cycle repeats. Running a ton of programs and having tons of browser tabs going does seem to accelerate the slowdown (as oxymoronic as that sounds).

I'm suspecting a memory leak somewhere in the gui stack, that perhaps deserves its own bug report ticket.

Comment 95 Gabriel M. Elder 2017-09-10 15:21:17 UTC
"usually the system is running sluggishly before it happens"

I'm the kind of user who likes to leave my desktop logged in as long as possible, locking the screen when not in use, and rebooting only when absolutely necessary (e.g. kernel update, etc.). Although I haven't experienced any gnome desktop session crashes recently, I have also noticed this sluggishness that gets progressively worse when logged in, over time. The cure has been to either close everything and log out and then log back in, or shutdown completely. In either case, upon logging back in, the snappiness of gnome that I have grown to know and love is restored completely. And then the cycle repeats. Running a ton of programs and having tons of browser tabs going does seem to accelerate the slowdown (as oxymoronic as that sounds).

I'm suspecting a memory leak somewhere in the gui stack, which perhaps deserves its own bug report ticket, but is most likely related nonetheless.

Comment 96 Benjamin Herrenschmidt 2017-09-10 19:50:32 UTC
The memory leak doesn't corresponds with my observation unless it's a hard and fast one. My laptop has 16G of memory and I have been reproducing shortly after boot with not much running at all.

Typically a few hot unplug/replug of the dock with the 28" 4k DP monitor attached will trigger it.

It could be 2 different issues...

Comment 97 Ira Malinich 2017-09-10 20:43:08 UTC
I'd say there are at least two issues here.  Certainly the hotplug and memory leak scenarios are the clearest symptoms, but looking through the comments here, there are other seemingly random triggers that don't seem to fall into those symptomatic categories.  Perhaps they all relate to XWayland? *grasps at straws*

Comment 98 Dave Johansen 2017-09-11 22:39:05 UTC
Similar problem has been detected:

I went logged in after my computer had been sitting idle for a whle.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=21288f4e5a2f4353bd41357c6345b0c3;i=b994;b=b0e368dab0184600ac6d2ac70bcab11c;m=ed395fc74d;t=558f16f79674b;x=ab5de982087e8c80
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 99 John Murtagh 2017-09-11 22:52:10 UTC
*** Bug 1490637 has been marked as a duplicate of this bug. ***

Comment 100 conbold 2017-09-13 01:07:23 UTC
*** Bug 1491080 has been marked as a duplicate of this bug. ***

Comment 101 Vafa 2017-09-14 05:19:40 UTC
*** Bug 1491524 has been marked as a duplicate of this bug. ***

Comment 102 Don Swaner 2017-09-14 11:26:38 UTC
*** Bug 1491660 has been marked as a duplicate of this bug. ***

Comment 103 Trystram 2017-09-14 13:09:12 UTC
Same bug here, happening when I dock the laptop with an external FHD monitor over DP.

Comment 104 Jean 2017-09-16 11:00:07 UTC
*** Bug 1492312 has been marked as a duplicate of this bug. ***

Comment 105 Dima Ryazanov 2017-09-19 01:35:06 UTC
*** Bug 1492926 has been marked as a duplicate of this bug. ***

Comment 106 chris 2017-09-19 08:54:09 UTC
*** Bug 1493043 has been marked as a duplicate of this bug. ***

Comment 107 Dave Johansen 2017-09-19 14:08:41 UTC
Similar problem has been detected:

I logged in.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=21288f4e5a2f4353bd41357c6345b0c3;i=124e1;b=447028c35c664753bca3dbd2b50d6aa7;m=78a4b5e234;t=5598b27a86ee4;x=3561aeec0e6928ad
kernel:         4.12.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 108 Nicholas 2017-09-19 15:16:38 UTC
*** Bug 1493209 has been marked as a duplicate of this bug. ***

Comment 109 Konstantin Trifonov 2017-09-20 05:18:00 UTC
*** Bug 1493377 has been marked as a duplicate of this bug. ***

Comment 110 Mike 2017-09-21 19:38:04 UTC
Similar problem has been detected:

The only thing I can speak to, is that a crash also occured in Rocketchat, which I was running at the time.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=90a5236d77c54a59b5b3412a014da888;i=12642;b=f000a10072694e1c98f588d68dabc3e7;m=39d1e293c;t=559b80b41cf75;x=a74da19df8a9d842
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            5040

Comment 111 Constantine 2017-09-21 19:53:21 UTC
*** Bug 1494244 has been marked as a duplicate of this bug. ***

Comment 112 aidanomara+bugzilla 2017-09-26 12:31:28 UTC
*** Bug 1495850 has been marked as a duplicate of this bug. ***

Comment 113 Pierre Ossman 2017-09-27 11:08:48 UTC
Similar problem has been detected:

Crashed on logout

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=32b55581e41f4362a0537a0648a8be00;i=24096d;b=972a186726a04d2481207d030d5fe549;m=8ba638ff84;t=55a29bbfdee59;x=e603c69e1694b4c9
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            210

Comment 114 krinkodot22 2017-09-28 01:42:09 UTC
*** Bug 1496634 has been marked as a duplicate of this bug. ***

Comment 115 jmaunc 2017-09-28 20:59:53 UTC
*** Bug 1496980 has been marked as a duplicate of this bug. ***

Comment 116 Mauri Sahlberg 2017-09-29 08:19:24 UTC
*** Bug 1497104 has been marked as a duplicate of this bug. ***

Comment 117 Jonathon B. 2017-09-30 08:50:42 UTC
*** Bug 1497414 has been marked as a duplicate of this bug. ***

Comment 118 tonyhannan 2017-09-30 14:02:08 UTC
*** Bug 1497447 has been marked as a duplicate of this bug. ***

Comment 119 John E. Harbold 2017-10-02 21:40:45 UTC
*** Bug 1497857 has been marked as a duplicate of this bug. ***

Comment 120 Stewart Smith 2017-10-04 22:33:10 UTC
*** Bug 1498672 has been marked as a duplicate of this bug. ***

Comment 121 Zayo Klepoyshkov 2017-10-05 07:00:57 UTC
*** Bug 1498743 has been marked as a duplicate of this bug. ***

Comment 122 Tom Litton 2017-10-05 17:56:13 UTC
*** Bug 1498982 has been marked as a duplicate of this bug. ***

Comment 123 Tom Litton 2017-10-06 17:04:15 UTC
*** Bug 1499300 has been marked as a duplicate of this bug. ***

Comment 124 Dan Moeller 2017-10-07 07:59:59 UTC
*** Bug 1499405 has been marked as a duplicate of this bug. ***

Comment 125 jun 2017-10-09 00:48:25 UTC
*** Bug 1499587 has been marked as a duplicate of this bug. ***

Comment 126 Jose Roberto Sanchez 2017-10-09 03:57:33 UTC
*** Bug 1499602 has been marked as a duplicate of this bug. ***

Comment 127 Pavel Lisy 2017-10-10 09:42:41 UTC
*** Bug 1500254 has been marked as a duplicate of this bug. ***

Comment 128 frywalker 2017-10-11 10:57:35 UTC
Similar problem has been detected:

I have no idea :-( 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=aca1e54d9a33409e9fe9773c81e419f8;i=c857;b=5d46c27a4c8c451393259115b33d4a17;m=27d7ba45e9;t=55b432e7307e5;x=4ca5a2f87de78a7d
kernel:         4.13.4-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 129 Dennis M. Pöpperl 2017-10-12 15:58:30 UTC
*** Bug 1501488 has been marked as a duplicate of this bug. ***

Comment 130 David 2017-10-14 18:51:29 UTC
*** Bug 1502171 has been marked as a duplicate of this bug. ***

Comment 131 Alexander Ploumistos 2017-10-18 00:34:45 UTC
Similar problem has been detected:

Installed gnome-shell-extension-system-monitor-applet and as soon as I enabled the extension, gnome-shell crashed.
This was a fresh account created just for this test and gnome-shell-extension-system-monitor-applet was the only enabled shell extension. This is on GNOME running on X and using the nVidia 340xx driver.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=ae48135381624f3e9ca6e068c41b678a;i=59c0f5;b=258496bc62314fe1892b67ede77b4239;m=559cf83;t=55bc71eaa2dc9;x=eeb81f5c92b8f64c
kernel:         4.13.6-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1002

Comment 132 Ryan Quinn 2017-10-18 14:36:11 UTC
*** Bug 1503690 has been marked as a duplicate of this bug. ***

Comment 133 maarten 2017-10-24 15:02:15 UTC
Similar problem has been detected:

I was changing windows, using ALT+TAB or the WIN-key. (I don't remember exactly)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=598c290c1696437cab455579c8b5608e;i=b5bd;b=f677a429b84f439d833d4c7e90826cad;m=4d38ca32a6;t=55c4b5e1309c8;x=65da287c09593fe0
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 134 Michael Vorburger 2017-10-24 21:20:48 UTC
Dupe in my Bug 1506039 (with backtrace attached there): 

This happened as a put my ThinkPad into its dock., but:

I had undocked it before while it was connected to and using an external monitor.

When I re-docked, I had that external monitor switched off.

Comment 135 Gian Paolo Mureddu 2017-10-26 04:02:19 UTC
*** Bug 1506435 has been marked as a duplicate of this bug. ***

Comment 136 Andrew Huffman 2017-10-26 16:19:07 UTC
*** Bug 1506723 has been marked as a duplicate of this bug. ***

Comment 137 Oleg 2017-10-29 05:29:40 UTC
*** Bug 1507268 has been marked as a duplicate of this bug. ***

Comment 138 F.Prates 2017-10-31 11:27:50 UTC
*** Bug 1507882 has been marked as a duplicate of this bug. ***

Comment 139 Krzysztof Troska 2017-10-31 19:07:38 UTC
Similar problem has been detected:

Logged in, then tried to log out as soon as gnome started before applications from auto start kicked in.
Nothing happens so i tried 2 more times to log out, next log in and bug report available.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=77d908ac7e0047c088e5c5c70d2f0a70;i=3b782;b=37386dea5a6e4fc1aa4b17f6421cfc4b;m=51926b6;t=55cdc5ae4f831;x=1205842068c4109e
kernel:         4.13.9-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 140 Daniel Wang 2017-11-01 23:27:21 UTC
*** Bug 1508664 has been marked as a duplicate of this bug. ***

Comment 141 Michael Morgan 2017-11-03 12:26:51 UTC
Similar problem has been detected:

I plugged in an external DisplayPort monitor and was kicked back to the GDM login screen.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=e69ea6e754144ba1a76dbf56016d6de1;i=80e1;b=4cf50fa6fa97400188fcf94285b67bfc;m=a8f28b819;t=55d074804e1f2;x=d21afde6459305a1
kernel:         4.13.8-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 142 Daniel Wang 2017-11-03 22:36:29 UTC
*** Bug 1509485 has been marked as a duplicate of this bug. ***

Comment 143 frywalker 2017-11-05 16:41:05 UTC
*** Bug 1509676 has been marked as a duplicate of this bug. ***

Comment 144 Georgii Iesaulov 2017-11-09 03:20:54 UTC
Similar problem has been detected:

During regular work.
Opened two Mozilla Firefox instances (around 20 tabs in total, no heavy tabs). One Terminal window.
Started poedit application and opened PO file.
Crash happened.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=8216572038ab4ed3aa133c2780dffac0;i=44eb;b=1d35ed495caf453ea38fd5e2ae959cd8;m=1b44cac30;t=55d84265cbc0c;x=87c62f77092be62
kernel:         4.13.9-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 145 Georgii Iesaulov 2017-11-10 14:09:31 UTC
Similar problem has been detected:

Usual tasks.
Two Firefox windows opened. Tried to open Gnome Calendar. Gnome crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=8216572038ab4ed3aa133c2780dffac0;i=14f93;b=f22a226d798a495993250f6833054e94;m=8950dfc8;t=55da167eb0d8a;x=45323e439643813b
kernel:         4.13.9-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 146 lejeczek 2017-11-12 09:33:42 UTC
*** Bug 1512265 has been marked as a duplicate of this bug. ***

Comment 147 Georgii Iesaulov 2017-11-16 04:28:33 UTC
Similar problem has been detected:

Tried to open Firefox

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=8216572038ab4ed3aa133c2780dffac0;i=2e0f4;b=bb714e25715045dd82136b45053827e7;m=400e3edf4;t=55e11ed93e529;x=232c1db65b4f3af5
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 148 David Jaša 2017-11-16 16:11:20 UTC
Similar problem has been detected:

gnome-shell crashed after loss of power to docking station (unplugging of monitor and other device and network connectivity).

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=3f46be181d2d48ac8386294ed1b3071d;i=26a8d;b=d6d80e1860f142718e507d78b60549b3;m=3e0e4b6cd;t=55e1ba81bce8d;x=47fa52c51d21f5f
kernel:         4.13.12-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            16189

Comment 149 frederick closset 2017-11-18 08:47:36 UTC
*** Bug 1514747 has been marked as a duplicate of this bug. ***

Comment 150 Dave Johansen 2017-11-22 15:35:09 UTC
Similar problem has been detected:

woke up computer

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=af584d5eda004a6d956f0ed573242839;i=9cbd1;b=75404fceaeea464cb61e2c87739ac0e3;m=3ab4b2b0a4;t=55e935ce60801;x=d54768807614ef06
kernel:         4.13.12-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 151 thierry.brichler 2017-12-09 19:59:30 UTC
*** Bug 1524066 has been marked as a duplicate of this bug. ***

Comment 152 Sayak Sarkar 2017-12-15 09:51:39 UTC
*** Bug 1526367 has been marked as a duplicate of this bug. ***

Comment 153 Adam Williamson 2017-12-15 23:46:21 UTC
So this is yet another bug affected by https://bugzilla.redhat.com/show_bug.cgi?id=1509086 , an issue with abrt that causes it to consider bugs that are not really at all related as dupes. Almost every 'dupe' here will not actually turn out to be a dupe (though funnily enough the first two reports, piio's and Igor's, *are* dupes).

For piio and Igor, the critical error log message was "Error in freeze/thaw accounting", which is an error condition in mutter:

https://github.com/GNOME/mutter/blob/master/src/compositor/meta-window-actor.c#L370-L375

piio's var_log_messages also shows some other interesting errors just before that one:

gru 07 15:49:52 00381-itw.itworks.pl org.gnome.Shell.desktop[20547]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x240dae0 (Nawiązywan)
gru 07 15:49:53 00381-itw.itworks.pl org.gnome.Shell.desktop[20547]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x240db65 (491-0362.f)
gru 07 15:49:53 00381-itw.itworks.pl gnome-shell[20547]: Error in size change accounting.
gru 07 15:49:53 00381-itw.itworks.pl audit[20547]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=12 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=20547 comm="gnome-shell" exe="/usr/bin/gnome-shell" sig=5
gru 07 15:49:53 00381-itw.itworks.pl gnome-shell[20547]: Error in freeze/thaw accounting

I'm not enough of an expert to know if that info plus any other info in the backtrace is sufficient to debug this fully. piio, Igor, are either of you still seeing *this* crash - specifically with the "Error in freeze/thaw accounting" message? Do you have a specific reproducer for it?

For everyone else: if you actually filed a separate bug which got marked as a dupe of this, I'm going to go through those and unpick them now. If you only got a comment added to this bug, I don't have any data to check into your problem, so I can't do that for you. If you're still hitting a crash that abrt thinks is a dupe of this bug, please see if you can access the crash data directory and look at the 'backtrace' and 'var_log_messages' files. In the backtrace, in the active thread, you should be able to find the actual critical error message, a few frames behind the '_g_log_abort' call - please look at that. Please also look at the var_log_messages file as it may well have other useful error messages. With this data, you may be able to identify another bug which really *is* a duplicate of yours, and follow that one. Otherwise, please file a new bug, with at least a full backtrace and the var_log_messages file attached.

Note that if the message is "connection to Xwayland lost" or similar, all that tells us is that XWayland crashed - it doesn't tell us *why*. So other log info is very important in this case. If you can attach a journal extract from the time around the crash, and/or any information you can get from the suggestions at https://fedoraproject.org/wiki/How_to_debug_Wayland_problems and https://fedoraproject.org/wiki/How_to_debug_Xorg_problems , that would be very helpful. Thank you!

Comment 154 Fedora End Of Life 2018-05-03 08:15:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 155 Fedora End Of Life 2018-05-29 11:28:19 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.